CURSES_KEYNAME(3)

NAME
curses_keyname, keyname - curses report key name routine

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
char *
keyname(int key);

DESCRIPTION
The function keyname() generates a character string containing a description of the key specified in key.

The string is formatted according to the following table:
Description | Key range | String format
Control character | 0 - 31 | ^X
Visible character | 32 - 126 | X
Delete character | 127 | ^?
Meta + control character | 128 - 158 | M-^X
Meta + visible character | 159 - 254 | M-X
Meta + delete character | 255 | M-^?
Named key | KEY_MIN - KEY_MAX | KEY_EXIT

SEE ALSO
curses_input(3)

STANDARDS
The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
These functions first appeared in NetBSD 2.0.